Bug 720612 (CVE-2011-2692) - CVE-2011-2692 libpng: Invalid read when handling empty sCAL chunks
Summary: CVE-2011-2692 libpng: Invalid read when handling empty sCAL chunks
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2692
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 721302 721303 721304 721305 721306 721307 721308 721309 721310 721311 721312 802166
Blocks: 717086
TreeView+ depends on / blocked
 
Reported: 2011-07-12 09:22 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-18 09:00:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1103 normal SHIPPED_LIVE Moderate: libpng security update 2011-07-28 18:12:03 UTC
Red Hat Product Errata RHSA-2011:1104 normal SHIPPED_LIVE Moderate: libpng security update 2011-07-28 18:11:47 UTC
Red Hat Product Errata RHSA-2011:1105 normal SHIPPED_LIVE Moderate: libpng security update 2011-07-28 18:22:47 UTC

Description Huzaifa S. Sidhpurwala 2011-07-12 09:22:48 UTC
It was found that libpng read uninitialized memory when it encountered a
sCAL chunk that is empty, and improperly handles a sCAL chunk that lacks
the terminating zero between the two strings that it conveys.

This was fixed in libpng-1.5.4, libpng-1.4.8, libpng-1.2.45,
and libpng-1.0.55.

Patch:
http://libpng.git.sourceforge.net/git/gitweb.cgi?p=libpng/libpng;a=commitdiff;h=61a2d8a2a7b03023e63eae9a3e64607aaaa6d339

Comment 1 Huzaifa S. Sidhpurwala 2011-07-13 04:42:49 UTC
This has been assigned CVE-2011-2692

Comment 2 Vincent Danen 2011-07-13 17:33:53 UTC
This is also CERT VU#819894:

http://www.kb.cert.org/vuls/id/819894

Comment 5 Huzaifa S. Sidhpurwala 2011-07-14 09:08:37 UTC
Created libpng tracking bugs for this issue

Affects: fedora-all [bug 721307]

Comment 6 Huzaifa S. Sidhpurwala 2011-07-14 09:08:41 UTC
Created libpng10 tracking bugs for this issue

Affects: fedora-all [bug 721309]
Affects: epel-6 [bug 721310]

Comment 7 Huzaifa S. Sidhpurwala 2011-07-14 09:08:45 UTC
Created mingw32-libpng tracking bugs for this issue

Affects: epel-5 [bug 721312]
Affects: fedora-all [bug 721311]

Comment 10 errata-xmlrpc 2011-07-28 18:11:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1104 https://rhn.redhat.com/errata/RHSA-2011-1104.html

Comment 11 errata-xmlrpc 2011-07-28 18:12:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:1103 https://rhn.redhat.com/errata/RHSA-2011-1103.html

Comment 12 errata-xmlrpc 2011-07-28 18:22:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1105 https://rhn.redhat.com/errata/RHSA-2011-1105.html


Note You need to log in before you can comment on or make changes to this bug.